<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.Verify Method (String, DatabaseConfig)
Database Class See Also

Verify the integrity of all databases in the file specified by file.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public static void Verify(
    	string file,
    	DatabaseConfig cfg
    )

Visual Basic (Declaration)

    Public Shared Sub Verify ( _
    	file As String, _
    	cfg As DatabaseConfig _
    )

Visual C++

    public:
    static void Verify(
    	String^ file,
    	DatabaseConfig^ cfg
    )

#### Parameters

file
  Type: System..::.String
  The physical file in which the databases to be verified are found.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  Configuration parameters for the databases to be verified.

# See Also

Database Class
Verify Overload
BerkeleyDB Namespace